[jdom-interest] type safety

Jason Winnebeck gillius at mail.rit.edu
Wed Nov 24 10:59:05 PST 2004

I do agree with generics and type safety, but I will note that I use JDOM in 
an embedded environment where we are stuck with Java 1.3 level for now, 
unfortunately.  Until Sun updates its CVM/CLDC we'll be stuck there.

That said, they haven't changed any of the bytes codes for awhile now 
(except for assertions), so it should be possible to compile Java 1.5 code 
with the 1.3 API and have it run on 1.3-level VMs, but most attempts I've 
made with that have failed, but none of the attempts have been serious as I 
am able to compile all of our code with the 1.3 SDK (including JDOM).

The point of this reply, then, it to say that JDOM should not use generics 
or other Java 1.5 features because not everyone is capabile of using Java 
1.5.  IIRC, there is not a Java 1.5 port for Mac OS X yet, although it 
should be here soon.


Filippo Carone wrote:
>  Hi all,
>  I've already read some threads about the use of 'templates'
> introduced in Java1.5 and the line adopted by the jdom team on the
> subject. It seems to me jdom will not make use of generics any time
> soon (or maybe never). Without starting another thread about the
> (un)importance of type safety at compile time, I would only know if
> jdom has scheduled or not the use of generics.
>  cheers,
>  fc
> _______________________________________________
> To control your jdom-interest membership:
> http://www.jdom.org/mailman/options/jdom-interest/youraddr@yourhost.com

More information about the jdom-interest mailing list